## ros-one-warehouse-ros 0.9.5-3jammy.20251207.2232

=== debian/changelog ===
ros-one-warehouse-ros (0.9.5-3jammy.20251207.2232) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 07 Dec 2025 22:32:59 +0000

ros-one-warehouse-ros (0.9.5-0jammy) jammy; urgency=high

  * Drop compile option -std=c++11 (C++11 or later is default anyway) (#92 <https://github.com/ros-planning/warehouse_ros/issues/92>)
  * Remove user-provided constructors and destructors (#51 <https://github.com/ros-planning/warehouse_ros/issues/51>)
    ``ResultIterator::metadata_only_`` is now non-const to allow moving and assigning
  * Add virtual destructor to ``MessageCollectionHelper`` and ``ResultIteratorHelper`` (#50 <https://github.com/ros-planning/warehouse_ros/issues/50>)
  * Contributors: Bjar Ne, Jochen Sprickerhof

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 10 May 2022 00:00:00 -0000

ros-one-warehouse-ros (0.9.4-0jammy) jammy; urgency=high

  * Cleanup: fix catkin_lint warnings, remove obsolete test folder
  * Fix unused-parameter warnings (#44 <https://github.com/ros-planning/warehouse_ros/issues/44>)
  * Bump required cmake version (#45 <https://github.com/ros-planning/warehouse_ros/issues/45>)
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 25 Apr 2020 00:00:00 -0000

ros-one-warehouse-ros (0.9.3-0jammy) jammy; urgency=high

  * Fix const char* -> std::string conversion
  * Fix install location for warehouse_ros. (#43 <https://github.com/ros-planning/warehouse_ros/issues/43>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 18 Aug 2019 00:00:00 -0000

ros-one-warehouse-ros (0.9.2-0jammy) jammy; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 07 Dec 2018 00:00:00 -0000

ros-one-warehouse-ros (0.9.1-0jammy) jammy; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 17 Oct 2018 00:00:00 -0000

ros-one-warehouse-ros (0.9.0-0jammy) jammy; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-warehouse-ros (0.8.8-0jammy) jammy; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-warehouse-ros (0.8.5-0jammy) jammy; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-warehouse-ros (0.8.4-0jammy) jammy; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros (0.8.2-0jammy) jammy; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros (0.8.1-0jammy) jammy; urgency=high



## ros-one-warehouse-ros 0.9.5-3jammy.20260221.2127

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(warehouse_ros)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  rostime
  std_msgs
  geometry_msgs
  pluginlib
  tf
)
find_package(Boost COMPONENTS system filesystem thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES warehouse_ros
  CATKIN_DEPENDS roscpp rostime std_msgs geometry_msgs tf
  DEPENDS Boost
)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

set(warehouse_srcs
  src/database_loader.cpp
  src/transform_collection.cpp)

add_library(warehouse_ros SHARED ${warehouse_srcs})

target_link_libraries(warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})
target_compile_features(warehouse_ros PRIVATE cxx_defaulted_functions)

add_executable(warehouse_test_dbloader src/test_dbloader.cpp)
target_link_libraries(warehouse_test_dbloader warehouse_ros ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS warehouse_ros
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")

=== debian/changelog ===
ros-one-warehouse-ros (0.9.5-3jammy.20260221.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 21:27:27 +0000

## ros-one-warehouse-ros 0.9.5-3noble.20251208.0927

=== debian/changelog ===
ros-one-warehouse-ros (0.9.5-3noble.20251208.0927) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 08 Dec 2025 09:27:59 +0000

ros-one-warehouse-ros (0.9.5-0noble) noble; urgency=high

  * Drop compile option -std=c++11 (C++11 or later is default anyway) (#92 <https://github.com/ros-planning/warehouse_ros/issues/92>)
  * Remove user-provided constructors and destructors (#51 <https://github.com/ros-planning/warehouse_ros/issues/51>)
    ``ResultIterator::metadata_only_`` is now non-const to allow moving and assigning
  * Add virtual destructor to ``MessageCollectionHelper`` and ``ResultIteratorHelper`` (#50 <https://github.com/ros-planning/warehouse_ros/issues/50>)
  * Contributors: Bjar Ne, Jochen Sprickerhof

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 10 May 2022 00:00:00 -0000

ros-one-warehouse-ros (0.9.4-0noble) noble; urgency=high

  * Cleanup: fix catkin_lint warnings, remove obsolete test folder
  * Fix unused-parameter warnings (#44 <https://github.com/ros-planning/warehouse_ros/issues/44>)
  * Bump required cmake version (#45 <https://github.com/ros-planning/warehouse_ros/issues/45>)
  * Contributors: Michael Görner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 25 Apr 2020 00:00:00 -0000

ros-one-warehouse-ros (0.9.3-0noble) noble; urgency=high

  * Fix const char* -> std::string conversion
  * Fix install location for warehouse_ros. (#43 <https://github.com/ros-planning/warehouse_ros/issues/43>)
  * Contributors: Robert Haschke, Sean Yen

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 18 Aug 2019 00:00:00 -0000

ros-one-warehouse-ros (0.9.2-0noble) noble; urgency=high

  * Fix various smaller issues. (#41 <https://github.com/ros-planning/warehouse_ros/issues/41>)
    * fix guard name
    * virtual destructor for abstract class
    * use managed pointers - createUniqueInstance()
    * switch to C++11
    * clang-tidy modernize-use-override
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 07 Dec 2018 00:00:00 -0000

ros-one-warehouse-ros (0.9.1-0noble) noble; urgency=high

  * fix missing return value (#40 <https://github.com/ros-planning/warehouse_ros/issues/40>)
  * update include statements to use new pluginlib and class_loader headers (#38 <https://github.com/ros-planning/warehouse_ros/issues/38>)
  * Contributors: Mikael Arguedas, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 17 Oct 2018 00:00:00 -0000

ros-one-warehouse-ros (0.9.0-0noble) noble; urgency=high

  * [fix] Omit dependency on mongo (and replace with pluginlib) #32 <https://github.com/ros-planning/warehouse_ros/issues/22>
  * [fix] Specifically including a header that seems to be required from Ubuntu Xenial.
  * [sys] Ensure headers and libraries are present for downstream pkgs #17 <https://github.com/ros-planning/warehouse_ros/issues/17>
  * [sys] Update CI config to test Jade and Kinetic #30 <https://github.com/ros-planning/warehouse_ros/issues/30>
  * [sys] Add rostest file and configs.
  * Contributors: Connor Brew, Dave Coleman, Ioan A Sucan, Isaac I.Y. Saito, Michael Ferguson, Scott K Logan

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 20 Jun 2016 00:00:00 -0000

ros-one-warehouse-ros (0.8.8-0noble) noble; urgency=high

  * Merge pull request #13 <https://github.com/ros-planning/warehouse_ros/issues/13> from corot/master
    Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Merge pull request #15 <https://github.com/ros-planning/warehouse_ros/issues/15> from v4hn/shared-static-mongodb
    only export MongoDB dependency for shared mongodb-library
  * only export MongoDB dependency for shared mongodb-library
    libmongoclient.a uses quite a number of other libs and the exact
    requirements can't be read from a cmake/pc file.
    Therefore it makes more sense to keep the dependency hidden from ROS
    when we use the static lib. libwarehouse_ros then provides all required functions.
    ... This is a bit like creating a libmongoclient.so, but the whole problem
    exists because debian/ubuntu don't provide this one, right?
    The shared library can - and has to - be exported as a dependency to ROS.
  * Missing part of https://github.com/corot/world_canvas/issues/10:
    requires both mongodb and mongodb-dev
  * Merge branch 'master' of https://github.com/corot/warehouse_ros.git
  * Add kwargs also to insert so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add kwargs to ensure_index so we can solves issues as
    https://github.com/corot/world_canvas/issues/13
  * Add python-pymongo dependency
  * Issue https://github.com/corot/world_canvas/issues/11: rospy queue_size
    warnings
  * Issue #11 <https://github.com/ros-planning/warehouse_ros/issues/11>: Add a Python library
  * Contributors: Ioan A Sucan, corot, v4hn

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

ros-one-warehouse-ros (0.8.5-0noble) noble; urgency=high

  * Fixed malloc.h inclusion on Mac OS X
  * Rename README.rst to README.md
  * added travis support
  * Contributors: Acorn, Dave Hershberger, Ioan A Sucan, Marco Esposito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 Feb 2014 00:00:00 -0000

ros-one-warehouse-ros (0.8.4-0noble) noble; urgency=high

  * update how we find MongoDB

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros (0.8.2-0noble) noble; urgency=high

  * fix typo and use correct install location
  * add config.h.in for deciding how to include mongo headers

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 03 Jul 2013 00:00:00 -0000

ros-one-warehouse-ros (0.8.1-0noble) noble; urgency=high



## ros-one-warehouse-ros 0.9.5-3noble.20260221.2214

=== debian/changelog ===
ros-one-warehouse-ros (0.9.5-3noble.20260221.2214) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 21 Feb 2026 22:14:45 +0000

=== debian/control ===
Source: ros-one-warehouse-ros
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-rostime, ros-one-std-msgs, ros-one-tf
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-one-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-geometry-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-rostime, ros-one-std-msgs, ros-one-tf
Description: Persistent storage of ROS messages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-warehouse-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
